Name:		perl-Time-Interval
Version:	1.232
Release:	7%{?dist}
Summary:	Perl module that converts time intervals of days, hours, minutes, and seconds

Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Time-Interval
Source0:	http://search.cpan.org/CPAN/authors/id/A/AH/AHICOX/Time-Interval-%{version}.tar.gz


BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Date::Parse)
BuildRequires:	perl(Test)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(vars)


Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Date::Parse)


%description
This is a rather simple perl module for dealing with time intervals. Among
other things, this module can tell you the number of hours, minutes, and
seconds elapsed between two dates.


%prep
%setup -q -n Time-Interval-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes README LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.232-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 04 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.232-6
- Perl 5.22 rebuild

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.232-5
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.232-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.232-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 1.232-2
- Perl 5.18 rebuild

* Thu Jan 31 2013 Normunds Neimanis <fedorapkg at rule.lv> 1.232-1
- Initial package for Fedora
